<?php
/**
 * BookiFlex Core
 *
 * @package    BookiFlex
 * @subpackage Core
 * @author     BookiFlex
 * @copyright  Copyright (c) 2025 BookiFlex
 * @license    GPL-2.0-or-later
 *
 * @link       https://bookiflex.com
 */

declare(strict_types=1);

namespace BookiFlex\Core\Contract\Adjustment;

defined( 'ABSPATH' ) || exit;

/**
 * How to consider the amount of adjustable object: with taxes already included or without.
 */
enum AdjustmentStrategy: string
{
    case Inclusive = 'INC';
    case Exclusive = 'EXC';

    public function isEqual($value): bool
    {
        return $this->value === $value;
    }
}
